Bug 184764 - audio/qmpdclient build fails with disable NLS
Summary: audio/qmpdclient build fails with disable NLS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-14 13:40 UTC by Zsolt Udvari
Modified: 2014-01-30 21:50 UTC (History)
1 user (show)

See Also:


Attachments
qmpdclient.diff (521 bytes, patch)
2013-12-28 20:51 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2013-12-14 13:40:00 UTC
Build audio/qmpdclient disabling NLS:

pkg-static: lstat(/memdisk/build/home/freebsd/ports/audio/qmpdclient/work/stage/usr/local/share/QMPDClient/translations/): No such file or directory
pkg-static: lstat(/memdisk/build/home/freebsd/ports/audio/qmpdclient/work/stage/usr/local/share/QMPDClient/): No such file or directory
Comment 1 Edwin Groothuis freebsd_committer 2013-12-14 13:40:07 UTC
Maintainer of audio/qmpdclient,

Please note that PR ports/184764 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184764

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-14 13:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Zsolt Udvari 2013-12-28 20:51:55 UTC
I've corrected this bug, patch is attached.
Comment 4 Pawel Pekala freebsd_committer 2014-01-30 21:17:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter service freebsd_committer 2014-01-30 21:43:45 UTC
Author: pawel
Date: Thu Jan 30 21:43:38 2014
New Revision: 341889
URL: http://svnweb.freebsd.org/changeset/ports/341889
QAT: https://qat.redports.org/buildarchive/r341889/

Log:
  Fix install when NLS=off
  
  PR:		ports/184764
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com>
  Approved by:	maintainer timeout

Modified:
  head/audio/qmpdclient/pkg-plist

Modified: head/audio/qmpdclient/pkg-plist
==============================================================================
--- head/audio/qmpdclient/pkg-plist	Thu Jan 30 21:09:02 2014	(r341888)
+++ head/audio/qmpdclient/pkg-plist	Thu Jan 30 21:43:38 2014	(r341889)
@@ -20,5 +20,5 @@ share/icons/hicolor/22x22/apps/qmpdclien
 share/icons/hicolor/48x48/apps/qmpdclient.png
 share/icons/hicolor/64x64/apps/qmpdclient.png
 share/icons/hicolor/scalable/apps/qmpdclient.svg
-@dirrmtry share/QMPDClient/translations
-@dirrmtry share/QMPDClient
+%%NLS%%@dirrmtry share/QMPDClient/translations
+%%NLS%%@dirrmtry share/QMPDClient
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2014-01-30 21:43:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!